from .immich import ImageGetImmich
from .unsplash import ImageGetUnsplash
from .museum import ImageGetMuseum
import random
import os

igetter = ImageGetImmich()
ugettter = ImageGetUnsplash()
mgetter = ImageGetMuseum()

class ImageGetCombined:

    def __init__(self) -> None:
        own_image_percent = int(os.getenv("OWN_IMAGE_PERCENT", 90))
        other_image_percent = int(100 - own_image_percent)
        self.getters = [igetter] * own_image_percent \
            + [ugettter] * int(other_image_percent/2) \
            + [mgetter] * int(other_image_percent/2)
        # representing weighted probabilities
        print(f"Using 3 image sources: ~{own_image_percent}% own, ~{other_image_percent}% foreign images.")


    def get_random_image(self) -> bytearray:
        getter = random.choice(self.getters)
        return getter.get_random_image()